> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a static input

> Creates a new static input for a project.



## OpenAPI

````yaml POST /projects/{project_id}/static_inputs
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/static_inputs:
    post:
      summary: Create a static input
      description: Creates a new static input for a project.
      operationId: create-static-input
      parameters:
        - name: project_id
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                static_input:
                  type: object
                  required:
                    - name
                    - value
                  properties:
                    name:
                      type: string
                      description: Name of the static input
                    value:
                      type: string
                      description: Value of the static input
                    value_type:
                      type: string
                      description: Data type of the value
                      enum:
                        - number
                        - string
                        - boolean
                    unit:
                      type: string
                      description: Unit of measurement
                    description:
                      type: string
                      description: Description of the static input
            examples:
              Request Example:
                value:
                  static_input:
                    name: Baseline Emission Factor
                    value: '0.85'
                    value_type: number
                    unit: tCO2e/MWh
                    description: Default baseline emission factor
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 1
                    name: Baseline Emission Factor
                    slug: baseline-emission-factor
                    description: Default baseline emission factor
                    value: '0.85'
                    value_type: number
                    unit: tCO2e/MWh
                    created_at: '2025-01-15T10:00:00.000Z'
                    updated_at: '2025-01-15T10:00:00.000Z'
        '422':
          description: '422'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 422
                    errors:
                      - message: Name can't be blank
              schema:
                type: object
                properties:
                  status:
                    type: string
                  statusCode:
                    type: integer
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````